2019-12-06 05:46 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001792FSSCPphysicspublic2010-06-21 17:23
ReporterGalemp 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.12 
Summary0001792: Ship explosions do not propagate from pivot point.
DescriptionThe explosion that splits the hull into two propagating chunks is SUPPOSED to start at the pivot, not at the model's center; this is how it works in retail.
Somehow this was 'fixed' in the SCP, but it is necessary for Their Finest Hour to play correctly.

The reason the Colossus' pivot was set so far back is for dramatic effect, as (in retail) the entire Colossus pitches forwards towards the player and takes twice as long to blow up as it normally would.

For the rest of the models the pivot is very near the center so it doesn't matter, but this was clearly a specific choice on :V:'s part.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0009953

taylor (administrator)

I don't see any code changes relating to that. As far as I can tell all relevant code is essentially unchanged since retail. Are you sure that it isn't a model problem? The code looks like it will use the split planes (pivots) if they exist in the model, but if they don't then it uses the model center.

~0009955

Galemp (reporter)

I don't see how or why the Colossus model would have been changed, but I'll get the MVP team to look into it. All I know is that it doesn't explode the way it's supposed to.

~0009956

chief1983 (administrator)

Could also check by playing with retail data. I'll give it a shot but I'm not sure I'd know what I'm looking for.

~0012110

Galemp (reporter)

This appears to have been resolved. Thanks!
+Notes

-Issue History
Date Modified Username Field Change
2008-10-09 22:46 Galemp New Issue
2008-10-13 13:00 taylor Note Added: 0009953
2008-10-13 19:02 Galemp Note Added: 0009955
2008-10-13 19:51 chief1983 Note Added: 0009956
2010-06-21 16:48 Galemp Note Added: 0012110
2010-06-21 17:23 chief1983 Status new => resolved
2010-06-21 17:23 chief1983 Resolution open => fixed
2010-06-21 17:23 chief1983 Fixed in Version => 3.6.12
+Issue History